#ifndef __CRYPT_AES__
#define __CRYPT_AES__

#include "cmnSecurityKey.h"
#include "openssl\aes.h"

namespace utils
{
    void InitializeAesKey ( const unsigned char* aKey, unsigned int KeyLength, CSecurityKey* key );

    class CAes
    {
    private:
        struct ctr_state {
            unsigned char ivec[16];  /* ivec[0..7] is the IV, ivec[8..15] is the big-endian counter */
            unsigned int num;
            unsigned char ecount[16];
        };
        struct ctr_state state;
        unsigned char iv[AES_BLOCK_SIZE];// = {0/*'U','T','Y','[','^','F','B',']','U','T','Y','[','^','F','B',']'*/};
        void init_ctr();
    public:
        CAes();
        void EncryptECB( const char* pvBufferIn, char* pvBufferOut, unsigned long dwLength, CSecurityKey* key );
        void DecryptECB( const char* pvBufferIn, char* pvBufferOut, unsigned long dwLength, CSecurityKey* key );
    };
}

#endif //__CRYPT_AES__