#include "cmnSecurityKey.h"

namespace utils
{    
//----------------------------------------------------------------------------------------------------------
CSecurityKey::CSecurityKey(char* keyEqual, size_t size)
    : m_Key(size)
{
    memcpy(&m_Key.front(), keyEqual, m_Key.size () );
}
CSecurityKey::CSecurityKey(const std::vector<char> &keyEqual)
    : m_Key(keyEqual.size())
{            
    memcpy(&m_Key.front(), &keyEqual.front(), m_Key.size () );
}
//----------------------------------------------------------------------------------------------------------
std::vector<char>& CSecurityKey::getKey() 
{
    return m_Key;
}
//----------------------------------------------------------------------------------------------------------
}//namespace crypt
